package org.jboss.qe.cxf.ws.jms;

import javax.jws.WebService;

import lombok.extern.slf4j.Slf4j;

@Slf4j
@WebService(targetNamespace = "http://cxf.apache.org/jms_greeter",
		serviceName = "JMSJndiTopicGreetingService",
		endpointInterface = "org.jboss.qe.cxf.ws.jms.GreetingService",
		portName = "JMSJndiTopicGreetingPort",
		wsdlLocation = "classpath:wsdl/jms_greeter.wsdl")
public class GreeterJndiTopicServiceImpl implements GreetingService {

	public String greet(String request) {
		final String response = String.format("Hello %s! [jndi-topic]", request);
		log.info(response);
		return response;
	}
}
